Package com.orchestranetworks.workflow

# Interface WaitTaskOnResumeContext

All Superinterfaces:
  `DataContext`, `DataContextReadOnly`, `ProcessExecutionContext`, `ProcessExecutionInfoContext`

public interface WaitTaskOnResumeContext extends ProcessExecutionContext, DataContext
This interface is used as the context for `resuming a wait task`.

Since:
  5.6.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.workflow.ProcessExecutionContext

  `ProcessExecutionContext.WorkflowPermission`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getOutputParameters()`
  Returns the output parameters given to resume the wait task.
  `String`
  `getResumeId()`
  Returns the resume identifier
  `boolean`
  `hasBeenForcedToResume()`
  Returns `true` if the resumption is done by the administration action 'Force resumption'.

  ### Methods inherited from interface com.orchestranetworks.workflow.DataContext

  `setVariableString`

  ### Methods inherited from interface com.orchestranetworks.workflow.DataContextReadOnly

  `getVariableNames, getVariableString, isVariableDefined`

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionContext

  `createMailSpec, getProcessInstanceDescription, getProcessInstanceLabel, modifyProcessPriority`

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionInfoContext

  `getProcessInstance, getProcessInstanceCreator, getProcessInstanceKey, getProfileForPermission, getPublishedProcessKey, getRepository, getSession`

- ## Method Details

  - ### getOutputParameters

    Map<String,String> getOutputParameters()
    Returns the output parameters given to resume the wait task.
    Returns:
      a `Map` of parameters (key: parameter name, value: parameter value).

  - ### getResumeId

    String getResumeId()
    Returns the resume identifier

  - ### hasBeenForcedToResume

    boolean hasBeenForcedToResume()
    Returns `true` if the resumption is done by the administration action 'Force resumption'.